package com.uas.platform.b2b.test;

import com.uas.message.mail.service.MailService;
import org.apache.commons.collections.map.HashedMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * Created by hejq on 2018-06-19.
 */
@RequestMapping("/public/test")
@RestController
public class PrimaryController {


    @Autowired
    private MailService mailService;

    @RequestMapping(method = RequestMethod.GET)
    public void main() {
        Map model = new HashedMap(1);
        model.put("vendorname", "何建清");
        model.put("custname", "zyl");
        mailService.send("e565c0cf-87a2-4d18-8ce8-c5be757f5a3d", "hejq@usoftchina.com", model);
    }
}
